#!---------------------------------------------------------------
#!---------------------------------------------------------------       
#TEMPLATE(RWSZ,'Reset Window Sizes in INI file for each Procedure'),FAMILY('ABC')       
#!---------------------------------------------------------------       
#!------------------------------------------------------------------
#EXTENSION(ResetWindowSizesIni,'Reset Window Sizes in INI file for each Procedure')
#!---------------------------------------------------------------    
#!   Updated July 19,2002 by Bo Schmitz, Comsoft7   
#!   Now uses the ini file to store a variable  
#!   for resetting window sizes.
#!   Updated to an Extension template for the Frame.
#! 
#!   Original submitted on Newsgroups from Mark Riffey, GraniteBear
#! 
#RESTRICT
  #IF (UPPER(%ProcedureTemplate)= 'FRAME')
    #ACCEPT
  #ENDIF
  #REJECT
#ENDRESTRICT
#!---------------------------------------------------------------       
    #DISPLAY ('')
    #BOXED('What am I doing?')
        #DISPLAY ('Inserts code into the Frame INIT() method to')
        #DISPLAY ('delete all the screen size memorization stored')
        #display ('in the program ini file for each procedure')
        #display ('This is normally used when a new release of your')
        #display ('program is issued and that new release introduces')
        #display ('altered screen sizes.')
        #display ('')
        #PRompt  ('Version or Build (@S10) to reset ini',@s10),%RWSZFlag,REQ,DEFAULT('1')
        #display ('')
    #ENDBOXED
#!---------------------------------------------------------------       
#AT(%WindowManagerMethodCodeSection,'Init','(),BYTE'),PRIORITY(7501)
   ! ***  Code by RWSZ Template ***
     INIMgr.Init('%INIFileName')
   IF (INIMgr.TryFetch('RWSZ','RWSZFlag') = %RWSZFlag)
   ELSE
     !clear all the window sizes
   #FOR(%Procedure)
     INIMgr.Update('%Procedure','maximize','')
     INIMgr.Update('%Procedure','xpos','')
     INIMgr.Update('%Procedure','ypos','')
     INIMgr.Update('%Procedure','height','')
     INIMgr.Update('%Procedure','width','')
   #ENDFOR
     MESSAGE ('Because you have installed a new release, the program has reset the "memorized" screen sizes and locations so that' |
            & ' you don''t "lose" any new features that would appear on screens that changed in size. Any screen size locations that you' |
            & ' change will be remembered until your next upgrade','Warning',icon:question)
     INIMgr.Update('RWSZ','RWSZFlag',%RWSZFlag)
   END                                         !if
   ! ***  End Code by RWSZ Template ***
#ENDAT